.dropdown.disabled [class*=" icon-"], .dropdown.disabled .dropdown-area,
.dropdown .dropdown-item input:checked + .dropdown-item-inner {
    display: none;
}

.dropdown .dropdown-btn {
    align-items: center;
    height: 100%;
    width: 100%;
}

.checkout input:not(:checked) ~ .cart-item-upsale-btn .active-title,
.checkout input:checked ~ .cart-item-upsale-btn .passive-title {
    display: none;
}

.materials-banner-header {
    font-size: 50px;
    font-weight: var(--font-weight-heavy);
    line-height: 61px;
    padding-bottom: 24px;
}

.materials-banner-subtitle {
    max-width: 881px;
    padding: 24px 16px 0;
    font-size: 18px;
    line-height: 28px;
    font-weight: 500;
    text-transform: uppercase;
}

.material-calculator .product-material-item-density {
    gap: 3px;
    margin-top: 4px;
    color: var(--color-11);
    font-size: 14px;
    line-height: 24px;
}

.material-calculator .product-material-item {
    width: 100%;
}

.materials-list-container,.materials-calculator-container {
    margin: 60px 37px;
}

.product-materials {
    justify-content: center;
}

.materials-calculator-container {
    flex-direction: column;
    gap: 24px;
}

.material-calculator .product-materials .product-material-item-saturation {
    margin-top: 0px;
    gap: 8px;
    align-items: flex-end;
}

.product-materials .product-material-item-title{
    font-size: 32px;
    line-height: 40px;
}

.product-materials .product-material-item-saturation {
    font-size: 16px;
    line-height: 26px;
}

.product-material-item {
    position: relative;
}

.product-materials .product-material-item-sticker-list {
    position: absolute;
    top: -13px;
    left: 0;
    right: 0;
    gap: 10px;
}

.product-materials .product-material-item-sticker {
    padding: 8px 12px;
    color: #000000;
    font-size: 10px;
    line-height: 1;
    background-color: var(--color-15, #C4BDB3);
    border-radius: 4px;
}

div#calculator-ui {
    padding-bottom: 24px;
    max-width: 1080px;
    margin: 0 auto;
    gap: 24px;
    flex-direction: column;
}

.materials-calculator-header {
    gap: 10px;
    align-items: center;
}

.materials-calculator-header .calc-description{
    color: var(--text-main-color);
    font-family: var(--body-font-family);
    text-align: center;
    font-size: 16px;
    font-weight: var(--font-weight-semilight);
    line-height: 26px;
    max-width: 740px;
}

.calculator-section {
    background: var(--gray-light-transparent-color);
    padding: 24px;
}

.calculator-section-label {
    color: var(--text-main-color);
    font-family: var(--body-font-family);
    font-size: 18px;
    font-weight: 500;
    line-height: 28px;
}

div#total-price-wrapper {
    background: var(--bg-main-color);
    border-radius: 4px;
    min-height: 92px;
    height: auto;
    padding: 24px;
    justify-content: space-between;
    align-items: center;
    max-width: 1080px;
    margin: 0 auto;
}

.calculator-total-price-label, .calculator-total-price{
    color: var(--text-main-color);
    font-family: var(--body-font-family);
    font-size: 18px;
    font-weight: 500;
    line-height: 28px;
}

.calculator-total-price{
    text-align: right;
}

.calculator-total-price .text-light, .calculator-total-price .text-bold {
    font-weight: var(--font-weight-regular);
}

.calculator-section-number {
    width: 28px;
    height: 28px;
}

.calculator-section-header {
    gap: 12px;
    margin-bottom: 12px;
    align-items: center;
}

.calculator-section-text {
    color: var(--text-main-color);
    font-family: var(--body-font-family);
    font-size: 18px;
    font-weight: 500;
    line-height: 28px;
}

#calculator-ui .add-to-basket-cropper-field {
    cursor: pointer;
}
#calculator-ui .add-to-basket-cropper-field.invalid {
    color: var(--color-16);
}
#calculator-ui .add-to-basket-cropper-size-fields {
    gap: 16px;
    margin-top: 12px;
}
#calculator-ui .add-to-basket-cropper-field-title {
    font-size: 14px;
    line-height: 24px;
    color: var(--primary-grey-1);
}
#calculator-ui .add-to-basket-cropper-field-input {
    height: 52px;
    padding: 13px 56px;
    font-size: 16px;
    line-height: 26px;
    border: 1px solid;
    border-radius: 2px;
    transition: border-color 0.2s ease-in-out;
    background-color: #fff;
}
#calculator-ui .add-to-basket-cropper-field:not(.invalid) .add-to-basket-cropper-field-input {
    border-color: var(--color-12);
}
#calculator-ui .add-to-basket-cropper-field.invalid .add-to-basket-cropper-field-input {
    border-color: var(--color-16);
}
#calculator-ui .add-to-basket-cropper-field-icon {
    position: absolute;
    top: 38px;
    left: 16px;
    height: 24px;
    width: 24px;
    pointer-events: none;
}
#calculator-ui .add-to-basket-cropper-field-measure {
    position: absolute;
    top: 38px;
    right: 16px;
    color: var(--color-14);
    font-size: 14px;
    line-height: 24px;
    pointer-events: none;
}
#calculator-ui .add-to-basket-cropper-field .tip {
    font-size: 12px;
    line-height: 24px;
}
#calculator-ui .add-to-basket-cropper-field:not(.invalid) .tip {
    display: none;
}

#delivery-country {
    margin-bottom: 10px;
    border: 1px solid;
    border-color: var(--color-12);
    box-shadow: none;
    width: 100%;
    background-color: #fff;
    position: relative;
}

#delivery-country .js-tags-filters-list {
    max-height: 300px;
    overflow-y: scroll;
    display: none;
}

#delivery-country.opened .js-tags-filters-list {
    display: block;
    position: absolute;
    top: 40px;
    background-color: #fff;
    width: 100%;
    padding: 0px 15px;
    list-style: none;
    left: 0px;
    z-index: 10;
}

.product-sizes-text {
    gap: 12px;
}

.size-description.product-sizes-text-small {
    color: var(--second-text-color);
    font-family: var(--body-font-family);
    font-size: 16px;
    font-weight: var(--font-weight-semilight);
    line-height: 26px;
}

.delivery-country.checkout {
    margin-top: 24px;
}

.calculator-dimensions-suggestion {
    color: var(--second-text-color);
    font-family: var(--body-font-family);
    font-size: 16px;
    font-weight: var(--font-weight-semilight);
    line-height: 26px;
    opacity: 0.5;
}

.delivery-country-heading.calculator-section-label{
    margin-bottom: 12px;
}

.delivery-price, .delivery-price small{
    color: var(--second-text-color);
    font-family: var(--body-font-family);
    font-size: 16px;
    font-weight: var(--font-weight-semilight);
    line-height: 26px;
}

.delivery-price-total, .tax-price {
    display: flex;
}

.calculator .tooltip-btn {
    color: var(--default-text-color);
    font-weight: var(--font-weight-heavy);
    display: inline-block;
    height: 16px;
    width: 16px;
    font-size: 13px;
    text-align: center;
    line-height: 14px;
    cursor: pointer;
    border: 1px solid var(--default-text-color);
    border-radius: 100%;
    margin-left: 5px;
}

.calculator-material-items{
    gap: 16px;
}

.calculator-material-item{
    border-radius: 2px;
    border: 1px solid var(--bg-main-color);
    background: var(--bg-additional-color);
    display: flex;
    padding: 13px 16px;
    align-items: center;
    align-self: stretch;
    justify-content: space-between;
    cursor:pointer;
}

.calculator-material-item.active{
    border: 1px solid var(--brand-black-color);
}

.calculator-material-item-left{
    gap: 12px;
    align-items: center;
}

.calculator-material-item-left .material-name {
    color: var(--brand-black-color);
    font-family: var(--body-font-family);
    font-size: 18px;
    font-weight: 500;
    line-height: 28px;
}

.calculator-material-item-left-col{
    gap: 4px;
    flex-direction: column;
}

.calculator-material-item-right{

}

.calculator-material-item-right .product-material-item-saturation {
    align-items: end;
    font-size: 14px;
    line-height: 22px;
}

.calculator-material-item-right .product-material-item-saturation-value {
    padding: 1px 8px;
    background: var(--gray-light-transparent-color);
    border-radius: 2px;
}

.calculator-material-item .product-material-item-prices, .calculator-upsale-item .product-material-item-prices {
    gap: 5px;
    font-size: 16px;
    line-height: 26px;
}
.calculator-material-item .product-material-item-prices .base, .calculator-upsale-item .product-material-item-prices .base {
    font-size: 14px;
    line-height: 25px;
    text-decoration: line-through;
    opacity: 0.5;
}

#calculator-ui .add-to-basket-cropper-checkbox {
    gap: 21px;
    color: var(--color-11);
    font-size: 16px;
    line-height: 26px;
    cursor: pointer;
}
#calculator-ui .add-to-basket-cropper-checkbox:before {
    display: inline-block;
    height: 24px;
    width: 24px;
    transition: opacity 0.2s ease-in-out;
    content: "";
}
#calculator-ui input:not(:checked):not(:disabled) ~ .add-to-basket-cropper-checkbox:not(:hover):before {
    opacity: 0.5;
}
#calculator-ui input:not(:checked) ~ .add-to-basket-cropper-checkbox:before {
    background-image: url("/img/redesign/icons/icon-checkbox.svg");
}
#calculator-ui input:checked ~ .add-to-basket-cropper-checkbox:before {
    background-image: url("/img/redesign/icons/icon-checkbox-checked.svg");
}
#calculator-ui input:disabled ~ .add-to-basket-cropper-checkbox {
    opacity: 0.5;
    cursor: default;
}

.calculator-upsale-item{
    width: 50%;
}

label.add-to-basket-show-stripes {
    padding: 0px 16px;
}

.upsale-data {
    flex-direction: column;
}

.product-sizes.size-inputs{
    gap: 16px;
}

.product-sizes .product-size-description {
    display: none;
}

.tags-filters-block.opened div.tags-filters-list a label{
    padding: 8px 16px;
}
.tags-filters-block.opened div.tags-filters-list a{
    padding: 0;
}

@media (-webkit-max-device-pixel-ratio: 1.99) and (min-width: 1440px), (-webkit-min-device-pixel-ratio: 2) and (min-width: 1920px) {

}

/*condition for 3 columns on Mac, if needed*/
@media (-webkit-max-device-pixel-ratio: 1.99) and (min-width: 1024px) and (max-width: 1439px), (-webkit-min-device-pixel-ratio: 2) and (min-width: 1024px) and (max-width: 1919px) {
    .product-materials .product-material-item-saturation {
        font-size: 14px;
        line-height: 24px;
    }

    .product-materials .product-material-item-title{
        line-height: 36px;
    }

    .materials-banner-subtitle {
        padding: 24px 100px 0;
    }

}

@media (-webkit-max-device-pixel-ratio: 1.99) and (min-width: 768px) and (max-width: 1023px), (-webkit-min-device-pixel-ratio: 2) and (min-width: 768px) and (max-width: 1023px) {
    .materials-list-container,.materials-calculator-container {
        margin: 40px 24px;
    }

    .materials-banner-header {
        font-size: 40px;
        font-weight: 700;
        line-height: 46px;
        padding-bottom: 20px;
    }

    .materials-banner-subtitle {
        font-size: 16px;
        line-height: 20px;
        font-weight: 500;
        text-transform: uppercase;
        padding: 24px 16px 0;
    }

    .product-materials .product-material-item-title{
        font-size: 20px;
        line-height: 30px;
    }

    .product-materials .product-material-item-saturation {
        font-size: 14px;
        line-height: 24px;
    }

    .materials-list-container .product-material-item-header {
        flex-direction: column;
    }

    .material-calculator .product-materials .product-material-item-saturation {
        flex-direction: row;
        justify-content: space-between;
    }
}

@media (-webkit-max-device-pixel-ratio: 1.99) and (max-width: 767px), (-webkit-min-device-pixel-ratio: 2) and (max-width: 767px) {
    .materials-list-container,.materials-calculator-container {
        margin: 40px 16px;
    }

    .materials-banner-header {
        font-size: 32px;
        font-weight: 700;
        line-height: 40px;
        padding-bottom: 8px;
    }

    .materials-banner-subtitle {
        font-size: 14px;
        line-height: 24px;
        font-weight: 500;
        text-transform: uppercase;
        padding: 0 16px;
    }

    .product-materials .product-material-item-title{
        font-size: 20px;
        line-height: 30px;
    }

    .product-materials .product-material-item-saturation {
        font-size: 14px;
        line-height: 24px;
    }

    .materials-list-container .product-material-item-header {
        flex-direction: column;
    }

    .material-calculator .product-materials .product-material-item-saturation {
        flex-direction: row;
        justify-content: space-between;
    }

    .calc-header{
        text-align: center;
    }

    .size-inputs {
        gap: 16px;
        flex-direction: column;
        margin-bottom: 8px;
    }

    .product-sizes-text {
        gap: 12px;
        margin-bottom: 16px;
    }

    .calculator-upsale-item {
        width: 100%;
    }

    .calculator-upsales-container {
        flex-direction: column;
    }

    .calculator-section {
        padding: 16px;
        margin-left: 16px;
        margin-right: 16px;
    }

    .calculator-material-item .product-material-item-prices .base, .calculator-upsale-item .product-material-item-prices .base {
        font-size: 13px;
        line-height: 26px;
    }
}

/*=========================*/
.pages-description.calc-description {
    font-size: 17px;
    margin-top: 7px;
    line-height: 27px;
    margin-bottom: 14px;
    color: #515151;
    text-align: center;
}
.calc-header > h1.text-main-gray.text-semilight.pages-header-title {
    font-size: 18px;
    text-transform: uppercase;
}
.w-32 {
    width: 32%;
    position: relative;
    margin: auto;
}
.material-block:first-child {
    margin-left: 0;
}
.material-block:last-child {
    margin-right: 0;
}
.material-block {
    margin-top: 0;
}
.mat-content.bg-extra-light-gray {
    padding-top: 10px;
    font-size: 17px;
    padding-left: 19px;
    padding-right: 19px;
    padding-bottom: 19px;
}
.mat-desc {
    margin-top: 13px;
    line-height: 19px;
    margin-bottom: 18px;
}
.brightness-rating > img.brightnes-img {
    width: 170px !important;
}
span.brightness-rating-text {
    vertical-align: super;
}
ul.mat-advantages{
    list-style: none;
    margin-top: 3px;
}

ul.mat-advantages > li{
    padding-left: 33px;
    background: url(/img/material-calculator/advantages-list-item.png);
    background-position: left center;
    background-repeat: no-repeat;
    background-size: 25px;
    line-height: 40px;
}

ul.mat-pluses {
    list-style: none;
    margin-top: 11px;
}

ul.mat-pluses > li{
    padding-left: 33px;
    background: url(/img/material-calculator/pluses-list-item.png);
    background-position: left center;
    background-repeat: no-repeat;
    background-size: 23px;
    line-height: 40px;
}
.mat-price {
    font-weight: bolder;
}

.mat-photos {
    margin: 15px 15px 0;
    border-radius: 5px;
    overflow: hidden;
}

.mat-photos:not(.mat-full-sized) {
    max-height: 227px;
}

.pages-header.calc-header {
    text-transform: uppercase;
    font-weight: bolder;
}

.calculator {
    margin: auto;
}

.flex-1{
    flex: 1;
}

.flex-2{
    flex: 2;
}

.flex-3{
    flex: 3;
}

.flex-4{
    flex: 4;
}

.flex-5{
    flex: 5;
}

.flex-6{
    flex: 6;
}

.flex-7{
    flex: 7;
}

.flex-8{
    flex: 8;
}

.flex-9{
    flex: 9;
}

.flex-10{
    flex: 10;
}

.flex-11{
    flex: 11;
}

.flex-12{
    flex: 12;
}

.materials.flex-7 {
    padding-left: 55px;
}

.size-input > input {
    background: white;
    line-height: 16px;
    border: 1px solid orange;
    padding: 9px;
    border-radius: 5px;
    font-size: 11px;
    width: 154px;
    padding-left: 40px;
}

.calculator span.icon-stretch-horizontal, .calculator span.icon-stretch-vertical{
    margin-top: 0px;
}

span.icon-stretch-horizontal, span.icon-stretch-vertical {
    height: 19px;
    width: 20px;
    margin-left: 8px;
    margin-top: 9px;
    display: inline-block;
    position: absolute;
}

.print-type-description {
    font-size: 15px;
    line-height: 120%;
    margin-top: 5px;
    margin-bottom: 10px;
    color: var(--text-main-color);
}

.print-type-option {
    margin-top: 3px;
    cursor: pointer;
}

.material-wrapper {
    padding: 4px;
    background: #D6E0DE;
    border-radius: 3px;
}

.active .material-wrapper {
    border: 1px solid var(--bg-orange);
    background: white;
}

.active .print-type-description {
    color: white;
    background: var(--bg-orange);
}

.print-type-option:first-child{

}

.item-print-type-description {
    text-align: center;
    line-height: 35px;
    height: 35px;
    margin: 0px -5px -5px;
    border-radius: 0px 0px 5px 5px;
    font-size: 13px;
    font-weight: bolder;
}

.active .item-print-type-description {
    background: var(--bg-orange);
    color: white;
    line-height: 32px;
    height: 32px;
}

.material-calculator .pages-text{
    margin-bottom: 50px;
}

.print-type-title{
    font-size: 15px;
}

.print-type-options {
    justify-content: space-between;
    gap: 20px;
}

#delivery-country-select{
    background: rgba(255, 255, 255, 0.9);
    box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.25);
    border-radius: 5px;
    width: 100%;
    height: 34px;
    padding-left: 12px;
    font-size: 13px;
    color: silver;
    margin-bottom:10px;
}

.materials-heading {
    text-align: center;
    line-height: 45px;
    font-size: 15px;
    text-transform: capitalize;
    margin-top: 11px;
}

.glue-title {
    text-align: center;
    line-height: 30px;
    font-size: 15px;
    margin-bottom: 2px;
}

.glue-description {
    line-height: 17px;
    font-size: 14px;
}

a.btn.btn-glue {
    border: 1px solid orange;
    width: 183px;
    margin: auto;
    margin: auto;
    margin-top: 13px;
}

.cart-item-upsale-btn{
    margin-top: 15px;
}

@media screen and (max-width: 767px) {
    .relative.d-flex.calc-info-content {
        flex-direction: column;
    }
    .w-32{
        width: auto;
    }
    .calculator {
        width: auto;
        margin: auto -15px;
        padding: 0;
    }
    .item-print-type-description {
        padding-right: 0;
    }
    .print-type-heading{
        padding-right: 0;
    }
    .calculator .checkout {
        margin-bottom: 15px;
    }
    .size-input > input {
        width: 125px;
    }
    .size-width{
        padding-right: 5px;
    }
    .parameters, .materials{
        padding-left: 18px;
        padding-right: 18px;
    }
    a.btn.btn-glue{
        margin-bottom: 20px;
    }
    .delivery-price {
        padding-right: 0px;
    }
    .print-type-option:last-child{
        padding-right: 0;
    }
    .size-input.size-height{
        padding-right: 0;
        margin-right: 5px;
    }
}



.basket-promo {
    gap: 30px;
}
.basket-promo .basket-promo-offer-list {
    gap: 30px;
}

.basket-promo .basket-promo-offer-item-inner {
    color: var(--text-main-color);
    padding-bottom: 24px;
    border-radius: 5px;
    transition: 0.3s border-color ease;
    overflow: hidden;
}
.basket-promo input:not(:checked) ~ .basket-promo-offer-item-inner {
    border: 2px solid rgb(255 255 255);
    cursor: pointer;
}
.basket-promo input:checked ~ .basket-promo-offer-item-inner {
    border: 2px solid var(--bg-orange);
}
.basket-promo .basket-promo-offer-title {
    margin-bottom: 16px;
    padding: 24px 15px;
    transition: 0.3s background-color ease;
}
.basket-promo-offer-item-inner .basket-promo-offer-title {
    background-color: var(--bg-khaki);
}
.basket-promo input:checked ~ .basket-promo-offer-item-inner .basket-promo-offer-title {
    color: rgb(255 255 255);
    background-color: var(--bg-orange);
}
.basket-promo input:not(:checked) ~ .basket-promo-offer-item-inner:hover .basket-promo-offer-title {
    background-color: var(--pagination-border-color);
}
.basket-promo .basket-promo-offer-sub-title {
    margin-bottom: -10px;
    line-height: 0.7;
}
.basket-promo .basket-promo-offer-price {
    gap: 5px;
    min-height: 25px;
    font-size: 15px;
    line-height: 15px;
}
.basket-promo .basket-promo-offer-price .text-heavy {
    font-size: 17px;
}
.basket-promo .basket-promo-offer-item-description {
    margin-top: 25px;
    padding: 0 15px;
    font-size: 17px;
    line-height: 20px;
}
.basket-promo .basket-promo-color-rendering {
    margin-top: 25px;
    padding: 0 15px;
    font-size: 17px;
    line-height: 15px;
}
.basket-promo .basket-promo-color-rendering .basket-promo-color-rendering-mobile-title {
    display: none;
}
.basket-promo .basket-promo-color-rendering .basket-promo-color-rendering-desktop-title:after,
.basket-promo .basket-promo-color-rendering .basket-promo-color-rendering-mobile-title:after {
    position: absolute;
    left: 0;
    bottom: 0;
    height: 1px;
    width: 100%;
    max-width: 46px;
    background-color: var(--bg-orange);
    content: "";
}
.basket-promo .basket-promo-color-rendering .basket-promo-color-rendering-rating {
    margin-top: 8px;
}
.basket-promo .basket-promo-color-rendering-list {
    gap: 4px;
}
.basket-promo .basket-promo-color-rendering-item {
    height: 30px;
    width: 30px;
}
.basket-promo .basket-promo-offer-check-list {
    gap: 15px;
    margin-top: 28px;
    padding: 0 15px;
}
.basket-promo .basket-promo-offer-check-item {
    gap: 16px;
    font-size: 17px;
    line-height: 17px;
}
.basket-promo .basket-promo-offer-selection-label {
    margin: 21px 15px 0;
    padding: 8px 12px;
    transition: 0.3s background-color ease;
}
.basket-promo input:not(:checked) ~ .basket-promo-offer-item-inner .basket-promo-offer-selection-label {
    background-color: var(--bg-khaki);
    cursor: pointer;
}
.basket-promo input:checked ~ .basket-promo-offer-item-inner .basket-promo-offer-selection-label {
    background-color: var(--bg-orange);
    cursor: default;
}
.basket-promo input:not(:checked) ~ .basket-promo-offer-item-inner:hover .basket-promo-offer-selection-label {
    background-color: var(--pagination-border-color);
}
.basket-promo input:not(:checked) ~ .basket-promo-offer-item-inner .selected,
.basket-promo input:checked ~ .basket-promo-offer-item-inner .not-selected {
    display: none;
}
.basket-promo .material-photos-area {
    gap: 19px;
    margin-top: 24px;
    padding: 0 15px;
}
.basket-promo .material-photos-btn {
    height: 30px;
    width: 30px;
    padding: 5px;
    border-radius: 5px;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);
    cursor: pointer;
}
.basket-promo .material-photos-btn-text {
    font-size: 15px;
    line-height: 17px;
}
.basket-promo .basket-product-aside {
    gap: 15px;
    width: 100%;
    max-width: 437px;
}
.basket-promo .promo-title {
    margin-bottom: 23px;
    color: var(--text-main-color);
    font-size: 17px;
    line-height: 23px;
    letter-spacing: 0.25rem;
}
.basket-promo .basket-product-preview {
    height: 100%;
    margin-top: 46px;
    padding: 16px 48px 21px;
}
.basket-promo .basket-product-preview-title {
    color: var(--text-main-color);
    font-size: 17px;
    line-height: 20px;
}
.basket-promo .basket-product-preview-articul {
    color: var(--text-main-color);
    font-size: 15px;
    line-height: 20px;
}
.basket-promo .cart-product-preview-picture {
    height: 100%;
    width: 100%;
    max-height: 249px;
    margin-top: 18px;
    overflow: hidden;
}
.basket-promo .cart-product-preview-picture-inner.vertical {
    height: inherit;
    width: auto;
    max-width: 100%;
}
.basket-promo .cart-product-preview-picture-inner.horizontal {
    height: auto;
    width: 100%;
    max-height: 100%;
}
.basket-promo .basket-product-preivew-sizes {
    gap: 44px;
    margin-top: 24px;
    color: var(--text-main-color);
    font-size: 15px;
    line-height: 20px;
}
.basket-promo .basket-product-preview-size {
    gap: 3px;
}
.basket-promo .basket-product-aside .checkbox-with-description {
    margin-top: 24px;
    color: var(--text-main-color);
}
.basket-promo .basket-product-aside .checkbox-with-description .emulated-pseudo-checkbox + span {
    margin-left: 9px;
}
.basket-promo .basket-upsales {
    padding: 15px;
}
.basket-promo .basket-upsales-list {
    gap: 10px;
}
.basket-promo .basket-upsales-item-title {
    padding: 0 10px;
}
.basket-promo .basket-upsales-item-old-price {
    font-size: 13px;
    line-height: 1;
    text-decoration: line-through;
}
.basket-promo .basket-upsales-item-price {
    font-size: 15px;
    line-height: 16px;
}
.basket-promo .basket-upsales-decimals, .basket-promo .basket-upsales-currency {
    font-size: 11px;
    line-height: 13px;
}

.basket-promo-footer .basket-promo-totals .text-semilight.addtocart-totals-included-discount{
    font-size: 11px;
}

.basket-promo-footer .basket-promo-totals .text-semilight.addtocart-totals-saved-sum{
    font-size: 12px;
}

.basket-promo .basket-upsales-currency {
    margin-left: 2px;
}
.basket-promo .basket-upsales-item-description {
    font-size: 13px;
    line-height: 14px;
}
.basket-promo .basket-upsales-item {
    gap: 2px;
}
.basket-promo .basket-upsale-btn {
    max-width: 320px;
}
.basket-promo .basket-upsale-btn-inner {
    border: 1px solid var(--bg-khaki);
    transition: 0.3s all ease;
}
.basket-promo input:not(:checked) ~ .basket-upsale-btn-inner {
    color: var(--bg-mid-gray-color);
    background-color: var(--bg-khaki);
}
.basket-promo .basket-upsale-btn input:not(:checked) ~ .basket-upsale-btn-inner .checked-title,
.basket-promo .basket-upsale-btn input:checked ~ .basket-upsale-btn-inner .passive-title {
    display: none;
}

.basket-promo-footer {
    margin-top: 30px;
    padding: 20px 48px 23px 18px;
}
.basket-promo-footer .basket-promo-footer-inner {
    gap: 73px;
}
.basket-promo-footer .basket-promo-totals-control {
    gap: 10px;
    max-width: 341px;
}
.basket-promo-footer .basket-promo-footer-back-btn, .basket-promo-footer .basket-promo-footer-continue-btn {
    gap: 15px;
    max-width: 249px;
    padding: 9px 12px;
}
.basket-promo-footer .basket-promo-footer-back-btn [class*="icon-"],
.basket-promo-footer .basket-promo-footer-continue-btn [class*="icon-"],
.basket-promo-footer .basket-promo-footer-fast-checkout-btn [class*="icon-"] {
    height: 16px;
    width: 16px;
}
.basket-promo-footer .basket-promo-footer-paypal-btn .icon-payment-paypal {
    height: 22px;
}
.basket-promo-footer .basket-promo-footer-add-btn, .basket-promo-footer .basket-promo-footer-fast-checkout-btn {
    gap: 15px;
    padding: 7px 12px;
}
.basket-promo-footer .basket-promo-footer-add-btn [class*="icon-"] {
    height: 21px;
    width: 21px;
}
.basket-promo-footer .basket-promo-totals-control > [class*="-btn"] {
    min-height: var(--field-input-height);
}
.basket-promo-footer .basket-promo-totals {
    max-width: 262px;
    font-size: 13px;
    line-height: 14px;
}

.material-calculator .materials-banner-header-text-content {
    padding: 58px 0;
}
.material-calculator .mp-slider-item-image {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: var(--color-12);
    z-index: -1;
}
.material-calculator .mp-slider-item-image img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

@media (max-width: 767px) {
    .basket-promo .basket-promo-offer-list {
        gap: 15px;
        margin: 0 calc(-1 * var(--container-padding));
        flex-direction: column;
    }
    .basket-promo .basket-promo-offer-item {
        flex: 0 0 auto;
        min-width: 220px;
        max-width: 100%;
    }
    .basket-promo .basket-promo-offer-item-inner {
        height: inherit;
        padding-bottom: 10px;
    }
    .basket-promo .basket-promo-offer-list .slick-track {
        gap: var(--container-padding);
        margin: 0px calc(-1 * var(--container-padding));
    }
    .basket-promo .basket-promo-offer-list .slick-slide {
        flex: 0 0 auto;
    }

    .basket-promo .promo-title, .basket-promo .basket-promo-offer-title {
        font-size: 15px;
        line-height: 18px;
    }
    .basket-promo .basket-promo-offer-title {
        min-height: 48px;
        margin-bottom: 10px;
        padding: 12px 15px;
    }
    .basket-promo .basket-promo-offer-sub-title {
        margin-top: -3px;
        margin-bottom: 0;
    }
    .basket-promo .basket-promo-offer-item-description {
        margin-top: 10px;
    }
    .basket-promo .basket-promo-color-rendering {
        margin-top: 10px;
    }
    .basket-promo .basket-promo-color-rendering .basket-promo-color-rendering-rating {
        justify-content: space-between;
        margin-top: 5px;
    }
    .basket-promo .basket-promo-color-rendering-rating-title {
        font-size: 12px;
        line-height: 12px;
    }
    .basket-promo .basket-promo-color-rendering-list {
        gap: 2px;
        width: auto;
    }
    .basket-promo .basket-promo-color-rendering-item {
        height: 20px;
        width: 20px;
    }
    .basket-promo .material-photos-btn-text {
        font-size: 13px;
        line-height: 13px;
        padding-left:10px;
    }
    .basket-promo .basket-promo-offer-check-list {
        gap: 5px;
        margin-top: 10px;
    }
    .basket-promo .basket-promo-offer-check-item {
        font-size: 13px;
        line-height: 15px;
    }
    .basket-promo .basket-promo-offer-selection-label {
        max-width: calc(100% - 20px);
        margin: 15px auto 0;
        display:none;
    }
    .basket-promo .material-photos-area {
        margin-top: 15px;
    }
    .basket-promo .basket-upsales-item {
        gap: 8px;
    }
    .basket-promo .basket-upsale-btn {
        max-width: 237px;
    }
    .basket-promo .basket-upsale-btn-inner {
        color: var(--bg-mid-gray-color);
        border: 1px solid var(--bg-orange);
        transition: 0.3s all ease;
    }
    .basket-promo input:not(:checked) ~ .basket-upsale-btn-inner {
        color: rgb(255 255 255);
        background-color: var(--bg-orange);
    }
    .basket-promo .basket-upsales-item-prices {
        margin-left: 6px;
    }
    .step-upsales .basket-promo .basket-upsales {
        padding: 15px;
    }

    .basket-promo-footer {
        width: calc(100% + var(--container-padding) * 2);
    }
    .basket-promo-footer .basket-promo-footer-inner {
        position: relative;
        align-items: unset;
        flex-wrap: wrap;
        gap: 14px;
    }
    .basket-promo-footer .basket-promo-totals {
        max-width: 100%;
    }
    .basket-promo-footer .basket-promo-footer-totals {
        order: 1;
    }
    .basket-promo-footer .basket-promo-footer-back-btn {
        height: var(--field-input-height);
        width: calc(50% - 7px);
        padding: 3px 8px;
        order: 2;
    }
    .basket-promo-footer .basket-promo-totals-control {
        width: calc(50% - 7px);
        margin-left: auto;
        order: 3;
    }
    #add-to-basket.step-upsales .basket-promo-footer .basket-promo-totals-control {
        padding-bottom: 49px;
    }
    .basket-promo-footer .basket-promo-footer-add-btn,
    .basket-promo-footer .basket-promo-footer-continue-btn,
    .basket-promo-footer .basket-promo-footer-fast-checkout-btn {
        height: var(--field-input-height);
        padding: 3px 8px;
        font-size: 15px;
        line-height: 1;
    }
    .basket-promo-footer .basket-promo-footer-back-btn,
    .basket-promo-footer .basket-promo-footer-continue-btn,
    .basket-promo-footer .basket-promo-footer-fast-checkout-btn {
        gap: 0;
    }
    .basket-promo-footer .basket-promo-footer-back-btn .text-white,
    .basket-promo-footer .basket-promo-footer-continue-btn .text-white,
    .basket-promo-footer .basket-promo-footer-fast-checkout-btn .text-white {
        margin: 0 auto;
    }

    .material-calculator .materials-banner-header-text-content {
        padding: 40px 0;
    }
}
@media (max-width: 425px) {
    .basket-promo .promo-title {
        padding: 0 45px;
    }
    .material-calculator .materials-banner-header-text-content {
        padding: 35px 0;
    }
}
@media (max-width: 375px) {
    .basket-promo .basket-promo-offer-selection-label {
        max-width: 180px;
    }
    .basket-promo-footer .basket-promo-footer-add-btn {
        padding: 0 2px;
    }
    .textures-slider-group .texture-slide-inner img.img-stretch-horizontal {
        height: 100%;
        width: auto;
    }
}
@media (max-width: 374px) {
    .gallery-header-cont {
        position: relative;
        z-index: 1;
    }
    .mp-slider-item-image {
        position: absolute;
    }
    .mp-slider-item-image img {
        width: auto;
        object-fit: cover;
    }
    .materials-banner-header-text-content {
        position: unset;
        padding: 20px 0;
        z-index: 1;
    }
    .materials-banner-header {
        font-size: 24px;
        line-height: 30px;
    }
    .materials-banner-subtitle {
        font-size: 12px;
        line-height: 20px;
    }
    .materials-list-container,
    .materials-calculator-container {
        margin: 10px 16px;
    }
    .calculator-material-item {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }
    .calculator-material-item-right {
        justify-content: flex-end;
        width: 100%;
    }
    .calculator-material-item-right .product-material-item-saturation {
        flex-direction: row;
        align-items: center;
        gap: 10px;
    }
}

.product-sizes .product-sizes-text {
    margin-bottom: 23px;
    font-size: 17px;
}
.product-sizes .product-sizes-text > * {
    max-width: 361px;
}
.product-sizes .product-sizes-text-small {
    font-size: 15px;
}
.product-sizes .product-sizes-text-small .tooltip-btn {
    display: inline-block;
    height: 16px;
    width: 16px;
    font-size: 13px;
}
.product-sizes .product-size-field-inner {
    height: var(--field-input-height);
    background-color: rgb(255 255 255);
    border: 1px solid transparent;
    border-radius: 5px;
    box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.25);
}
.product-sizes .product-size-field-inner.highlighted {
    border-color: var(--bg-orange);
}
.product-sizes .product-size-fields-list {
    gap: 30px;
}
.product-sizes .product-size-field .icon-stretch-vertical, .product-sizes .product-size-field .icon-stretch-horizontal {
    height: auto;
    width: 19px;
    margin-left: 8px;
}
.product-sizes .product-size-field input {
    height: inherit;
}
.product-sizes .product-size-field .dropdown {
    height: var(--field-input-height);
}
.product-sizes .product-size-field .dropdown:not(.disabled) {
    width: auto;
}
.product-sizes .product-size-field .dropdown.disabled {
    padding: 0 8px 0 4px;
}
.product-sizes .product-size-field .dropdown:not(.disabled) .dropdown-btn {
    padding-right: 8px;
}
.product-sizes .product-size-field .dropdown-btn-title, .product-sizes .product-size-field .dropdown-item-inner {
    font-size: 13px;
}
.product-sizes .product-size-description {
    font-size: 12px;
    line-height: 16px;
}
.product-sizes .product-size-field-inner + .product-size-description {
    margin-top: 3px;
}

.checkout .checkout-radio-list {
    gap: 6px;
    margin: -5px;
    padding: 4px;
    border: 1px solid rgb(0 0 0 / 0%);
}
.checkout .checkout-radio-list.highlighted {
    border-color: var(--bg-orange);
}
.checkout .checkout-company-fields {
    transition: all 0.3s ease;
}
.checkout .checkout-form:not(.show-company-fields) .checkout-company-fields {
    max-height: 0;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}
.checkout .checkout-form.show-company-fields .checkout-company-fields {
    max-height: 400px;
    opacity: 1;
    visibility: visible;
}
.checkout .checkout-radio-item-inner {
    position: relative;
}
.checkout .checkout-radio-item-inner:before {
    flex: 0 0 auto;
    height: 25px;
    width: 25px;
    margin-right: 18px;
    background-color: rgb(255 255 255);
    border-radius: 100%;
    box-shadow: 0px 0px 4px rgb(0 0 0 / 25%);
    content: "";
}
.checkout .checkout-radio-item-inner:after {
    position: absolute;
    top: 0;
    left: 4px;
    bottom: 0;
    height: 17px;
    width: 17px;
    margin: auto 0;
    border-radius: 100%;
    transition: background-color 0.3s ease;
    content: "";
}
.checkout input:not(:checked) ~ .checkout-radio-item-inner {
    cursor: pointer;
}
.checkout input:not(:checked) ~ .checkout-radio-item-inner:hover:after {
    background-color: var(--brand-hover-black-color);
    opacity: 0.5;
}
.checkout input:checked ~ .checkout-radio-item-inner:after {
    background-color: var(--brand-black-color);
}
.checkout .checkout-radio-item-title {
    font-size: 15px;
    line-height: 17px;
}
.checkout .checkout-radio-item-description {
    font-size: 13px;
    line-height: 15px;
}
.checkout .checkout-pay-system-logo {
    height: 19px;
    width: 68px;
    margin-right: 19px;
}
.checkout .checkout-form-common {
    gap: 19px;
}

.checkout .checkout-footer {
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 4;
}
.checkout .checkout-footer-inner {
    padding: 13px 0;
}
.checkout .checkout-footer .mobile-accordion {
    max-width: 343px;
}
.checkout .checkout-totals-other {
    gap: 20px;
    font-size: 13px;
    line-height: 15px;
}
.checkout .checkout-totals-row {
    font-size: 11px;
    line-height: 16px;
}
.checkout .checkout-totals-row .price-current {
    font-size: 9px;
    line-height: 12px;
}
.checkout .checkout-totals-row .price-current .price-int {
    font-size: 13px;
    line-height: 15px;
}
.checkout .checkout-totals-main-price {
    gap: 20px;
    max-width: 262px;
}
.checkout .checkout-totals-main-price-title {
    font-size: 13px;
    line-height: 15px;
}
.checkout .checkout-totals-main-price-title small {
    margin-top: -2px;
    font-size: 9px;
    line-height: 13px;
}
.checkout .checkout-totals-main-price .price-current {
    font-size: 11px;
    line-height: 16px;
}
.checkout .checkout-footer-submit {
    width: var(--checkout-aside-width);
    padding: 0 15px;
}
.checkout .checkout-submit-btn {
    min-height: var(--field-input-height);
    font-size: 17px;
    line-height: 20px;
}
.checkout .emulated-checkbox-input ~ span:not(.emulated-pseudo-checkbox) {
    margin-left: 15px;
    font-size: 15px;
    line-height: 20px;
}
.checkout .emulated-checkbox-input.highlighted + label:before {
    box-shadow: 0px 0px 4px var(--bg-orange);
}
.checkout .field .tip + * {
    border-color: var(--bg-orange) !important;
}
.checkout .checkout-radio-item input[type="radio"], .checkout .checkout-radio-item input[type="checkbox"] {
    position: absolute;
    height: 0;
    width: 0;
    opacity: 0;
}

.checkout .field:not(.field-phone-input) input[type="text"],
.checkout .field:not(.field-phone-input) input[type="number"], .checkout .field:not(.field-phone-input) input[type="tel"],
.checkout .field:not(.field-phone-input) input[type="email"], .checkout .field:not(.field-phone-input) select,
.checkout .field:not(.field-phone-input) textarea {
    padding: 8px 12px;
    color: inherit;
    font-size: 15px;
    line-height: 17px;
    font-weight: 400;
    background-color: rgba(255, 255, 255, 0.9);
    border: 1px solid transparent;
    border-radius: 5px;
    box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.25);
}

.premium-print-price {
    font-size: 15px;
}

@media (min-width: 1921px) {
    .materials-banner-header {
        font-size: 58px;
        line-height: 77px;
    }
    .product-materials .product-material-item-title {
        font-size: 36px;
        line-height: 46px;
    }
    .calculator-section-text,
    .calculator-section-label,
    .calculator-material-item-left .material-name,
    .product-materials .product-material-item-checklist-item,
    .product-materials .product-material-item-prices,
    .calculator-total-price-label,
    .calculator-total-price {
        font-size: 20px;
        line-height: 30px;
    }
    .materials-calculator-header .calc-description,
    .size-description.product-sizes-text-small,
    .product-materials .product-material-item-description,
    .product-materials .product-material-item-prices .base,
    #calculator-ui .add-to-basket-cropper-checkbox,
    .delivery-price,
    .delivery-price small {
        font-size: 18px;
        line-height: 28px;
    }
}